Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class MemberType

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public final class MemberType

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static MemberType` | `CLASS`
`static MemberType` | `CONSTRUCTOR`
`static MemberType` | `FIELD`
`static MemberType` | `INNER`
`static MemberType[]` | `knownTypes`
`static MemberType` | `METHOD`
`static MemberType` | `SUPERCLASS`
`static MemberType` | `SUPERINTERFACE`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`static MemberType` | `getItemType(java.lang.String def)`
`int` | `getModifiersMask()`
`int` | `hashCode()`
`static void` | `setMode(boolean binary)`
`void` | `setModifiersMask(int m)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS

    public static final MemberType CLASS

### INNER

    public static final MemberType INNER

### SUPERCLASS

    public static final MemberType SUPERCLASS

### SUPERINTERFACE

    public static final MemberType SUPERINTERFACE

### CONSTRUCTOR

    public static final MemberType CONSTRUCTOR

### METHOD

    public static final MemberType METHOD

### FIELD

    public static final MemberType FIELD

### knownTypes

    public static final MemberType[] knownTypes

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getItemType

    public static MemberType getItemType(java.lang.String def)

### getModifiersMask

    public int getModifiersMask()

### setModifiersMask

    public void setModifiersMask(int m)

### setMode

    public static void setMode(boolean binary)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD